package com.landray.kmss.sys.attachment.model;

import com.landray.kmss.common.convertor.IModelToFormConvertor;
import com.landray.kmss.common.convertor.ModelConvertor_Common;
import com.landray.kmss.sys.attachment.forms.SysAttachmentWpsForm;
import com.landray.kmss.sys.attachment.forms.AttachmentDetailsForm;
import com.landray.kmss.util.AutoHashMap;
import com.landray.kmss.sys.organization.model.SysOrgPerson;
import java.util.Date;
import com.landray.kmss.common.convertor.ModelToFormPropertyMap;
import com.landray.kmss.common.model.BaseModel;

public class SysAttachmentWps extends BaseModel implements IAttachment
{
    private static ModelToFormPropertyMap toFormPropertyMap;
    private String sysAttMainId;
    private String userId;
    private Date expirationTime;
    private Date docCreateTime;
    private Date docAlterTime;
    private SysOrgPerson docCreator;
    private Date fdHeartTime;
    private AutoHashMap attachmentForms;
    
    public SysAttachmentWps() {
        this.attachmentForms = new AutoHashMap((Class)AttachmentDetailsForm.class);
    }
    
    public Class<SysAttachmentWpsForm> getFormClass() {
        return SysAttachmentWpsForm.class;
    }
    
    public ModelToFormPropertyMap getToFormPropertyMap() {
        if (SysAttachmentWps.toFormPropertyMap == null) {
            (SysAttachmentWps.toFormPropertyMap = new ModelToFormPropertyMap()).putAll(super.getToFormPropertyMap());
            SysAttachmentWps.toFormPropertyMap.put("docCreateTime", (IModelToFormConvertor)new ModelConvertor_Common("docCreateTime").setDateTimeType("datetime"));
            SysAttachmentWps.toFormPropertyMap.put("docAlterTime", (IModelToFormConvertor)new ModelConvertor_Common("docAlterTime").setDateTimeType("datetime"));
            SysAttachmentWps.toFormPropertyMap.put("fdHeartTime", (IModelToFormConvertor)new ModelConvertor_Common("fdHeartTime").setDateTimeType("datetime"));
            SysAttachmentWps.toFormPropertyMap.put("docCreator.fdName", "docCreatorName");
            SysAttachmentWps.toFormPropertyMap.put("docCreator.fdId", "docCreatorId");
        }
        return SysAttachmentWps.toFormPropertyMap;
    }
    
    public void recalculateFields() {
        super.recalculateFields();
    }
    
    public Date getDocCreateTime() {
        return this.docCreateTime;
    }
    
    public void setDocCreateTime(final Date docCreateTime) {
        this.docCreateTime = docCreateTime;
    }
    
    public Date getDocAlterTime() {
        return this.docAlterTime;
    }
    
    public void setDocAlterTime(final Date docAlterTime) {
        this.docAlterTime = docAlterTime;
    }
    
    public SysOrgPerson getDocCreator() {
        return this.docCreator;
    }
    
    public void setDocCreator(final SysOrgPerson docCreator) {
        this.docCreator = docCreator;
    }
    
    public AutoHashMap getAttachmentForms() {
        return this.attachmentForms;
    }
    
    public String getSysAttMainId() {
        return this.sysAttMainId;
    }
    
    public void setSysAttMainId(final String sysAttMainId) {
        this.sysAttMainId = sysAttMainId;
    }
    
    public String getUserId() {
        return this.userId;
    }
    
    public void setUserId(final String userId) {
        this.userId = userId;
    }
    
    public Date getExpirationTime() {
        return this.expirationTime;
    }
    
    public void setExpirationTime(final Date expirationTime) {
        this.expirationTime = expirationTime;
    }
    
    public Date getFdHeartTime() {
        return this.fdHeartTime;
    }
    
    public void setFdHeartTime(final Date fdHeartTime) {
        this.fdHeartTime = fdHeartTime;
    }
}
